using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Zad5pravi
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string T1 = Console.ReadLine();
            int T = int.Parse(T1);

            for (int i = 0; i < T; i++)
            {
                string[] NM = Console.ReadLine().Split(' ');
                int N = int.Parse(NM[0]);
                int M = int.Parse(NM[1]);

                for (int j = 0; j < N; j++)
                {
                    for (int k = 0; k < M; k++)
                    {
                        Console.ReadLine();
                    }
                }

            }


            for (int bk = 0; bk < T; bk++)
            {
                Console.WriteLine("NE");
            }

            Console.ReadLine();



        }
    }
}